Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Repository/Values/ContentType/FieldDefinition.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Repository\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values\ContentType\FieldDefinition as APIFieldDefinition;
10 use eZ\Publish\Core\Repository\Values\MultiLanguageDescriptionTrait;
11 use eZ\Publish\Core\Repository\Values\MultiLanguageNameTrait;
12 use eZ\Publish\Core\Repository\Values\MultiLanguageTrait;
13
34 class FieldDefinition extends APIFieldDefinition
35 {
36 use MultiLanguageTrait;
37 use MultiLanguageNameTrait;
38 use MultiLanguageDescriptionTrait;
39
45 protected $fieldSettings;
46
52 protected $validatorConfiguration;
53
59 public function getValidatorConfiguration()
60 {
61 return $this->validatorConfiguration;
62 }
63
69 public function getFieldSettings()
70 {
71 return $this->fieldSettings;
72 }
73 }
eZ\Publish\Core\Repository\Values\MultiLanguageDescriptionTrait
trait MultiLanguageDescriptionTrait
Definition: MultiLanguageDescriptionTrait.php:13
eZ\Publish\Core\Repository\Values\MultiLanguageNameTrait
trait MultiLanguageNameTrait
Definition: MultiLanguageNameTrait.php:13
eZ\Publish\Core\Repository\Values\MultiLanguageTrait
trait MultiLanguageTrait
Definition: MultiLanguageTrait.php:13
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition
Definition: API/Repository/Values/ContentType/FieldDefinition.php:31
eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition
Definition: Core/Repository/Values/ContentType/FieldDefinition.php:35
eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\getFieldSettings
getFieldSettings()
This method returns settings for the field definition supported by the field type.
Definition: Core/Repository/Values/ContentType/FieldDefinition.php:69
eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\$validatorConfiguration
$validatorConfiguration
Definition: Core/Repository/Values/ContentType/FieldDefinition.php:52
eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\$fieldSettings
$fieldSettings
Definition: Core/Repository/Values/ContentType/FieldDefinition.php:45
eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\getValidatorConfiguration
getValidatorConfiguration()
This method returns the validator configuration of this field definition supported by the field type.
Definition: Core/Repository/Values/ContentType/FieldDefinition.php:59
eZ\Publish\Core\Repository\Values\ContentType
Definition: Core/Repository/Values/ContentType/ContentType.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.